/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { DefinitionBaseDescription } from "./DefinitionBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ColumnResizingSeparatorDescription = /** @class */ (function (_super) {
    __extends(ColumnResizingSeparatorDescription, _super);
    function ColumnResizingSeparatorDescription() {
        var _this = _super.call(this) || this;
        _this.bm = 0;
        return _this;
    }
    ColumnResizingSeparatorDescription.prototype.get_type = function () {
        return "ColumnResizingSeparator";
    };
    Object.defineProperty(ColumnResizingSeparatorDescription.prototype, "separatorWidth", {
        get: function () {
            return this.bm;
        },
        set: function (a) {
            this.bm = a;
            this.e("SeparatorWidth");
        },
        enumerable: true,
        configurable: true
    });
    ColumnResizingSeparatorDescription.$t = markType(ColumnResizingSeparatorDescription, 'ColumnResizingSeparatorDescription', DefinitionBaseDescription.$);
    return ColumnResizingSeparatorDescription;
}(DefinitionBaseDescription));
export { ColumnResizingSeparatorDescription };
